API V1
  • Global information
  • Authentication
  • Data format
  • Rate Limit
  • Errors
  • Pagination
RESOURCES
  • Addon providers
  • Addons
  • Alerts
  • Applications
  • Audit Logs
  • Autoscalers
  • Billing
  • Collaborators
  • Container Sizes
  • Cron Tasks
  • Data Access Consents
  • Databases
  • Deployment
  • Domains
  • Environment variables
  • Event Categories
    • List the event categories
  • Event Types
  • Events
  • Invoices
  • SSH Keys
  • Log Drains
  • Application Logs
  • Metrics
  • Notification Platforms
  • Notifiers
  • One-off Containers
  • Operations
  • Projects
  • Referral
  • Regions
  • SCM Integrations
  • Integration Link
  • Sources
  • Stacks
  • Tokens
  • User Account
LINKS
  • Addon Provider API
  • Database API
  • One-click Deployment API
  • scalingo.json Schema
  • Main site
  • Dashboard

Event Categories

Event categories is an organisational type used to help organizing the list of Event Types on the client side.

Event Category attributes

field type description
id string unique ID of event type
name string camel case name of the type
display_name string fancy name of the type
position integer order of “importance” when displayed

Example object:

  • App Operations category
{
  "id": "5982f139d48c360021b1eb44",
  "name":	"app_operations",
  "display_name": "App operations",
  "position":	1
}

List the event categories

This provides the list of event categories, useful to display Event Types properly.

GET https://$SCALINGO_API_URL/v1/event_categories

Example

curl -H "Accept: application/json" -H "Content-Type: application/json" \
  -H "Authorization: Bearer $BEARER_TOKEN" https://$SCALINGO_API_URL/v1/event_categories

Returns 200 OK

Response

{
  "event_categories" : [
    {
      "id" : "5982f139d48c360021b1eb44",
      "name" : "app_operations",
      "position" : 1,
      "display_name" : "App operations"
    },
    {
      "id" : "5982f139d48c360021b1eb45",
      "name" : "addons",
      "position" : 2,
      "display_name" : "Addons"
    }, ...
  ]
}